GuidesRecipesAPI ReferenceChangelog
Log In
API Reference

Search for sorted and paged Scripts

Search for sorted and paged scripts

Query Params
integer
Defaults to 0
integer
Defaults to 100
sort
array of strings
Defaults to name:asc

Sorting criteria in the format: property:asc/desc. Default sort is name:asc. Multiple sort criteria are supported and must be separated with a comma. Fields allowed in the query: id, name, info, notes, priority, categoryId, categoryName, parameter4 up to parameter11, osRequirements, scriptContents. Example: sort=date:desc,name:asc

sort
string

Query in the RSQL format, allowing to filter scripts collection. Default search is empty query - returning all results for the requested page. Fields allowed in the query: id, name, info, notes, priority, categoryId, categoryName, parameter4 up to parameter11, osRequirements, scriptContents. This param can be combined with paging and sorting. Example: filter=categoryName=="Category" and name=="script name"

Response

Language
Credentials
Response
Choose an example:
application/json